<?php
/**
 * DeliveryServiceEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\LogisticClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Logistic
 *
 * Управление логистикой
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\LogisticClient\Dto;
use \Ensi\LogisticClient\ObjectSerializer;

/**
 * DeliveryServiceEnum Class Doc Comment
 *
 * @category Class
 * @description Службы доставки. Расшифровка значений:   * &#x60;1&#x60; - B2Cpl   * &#x60;2&#x60; - Boxberry   * &#x60;3&#x60; - CDEK   * &#x60;4&#x60; - Dostavista   * &#x60;5&#x60; - DPD   * &#x60;6&#x60; - IML   * &#x60;7&#x60; - MaxiPost;   * &#x60;8&#x60; - PickPoint;   * &#x60;9&#x60; - PONY EXPRESS;   * &#x60;10&#x60;- Почта России;
 * @package  Ensi\LogisticClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class DeliveryServiceEnum
{
    /**
     * Possible values of this enum
     */
    const B2CPL = 1;
    const BOXBERRY = 2;
    const CDEK = 3;
    const DOSTAVISTA = 4;
    const DPD = 5;
    const IML = 6;
    const MAXIPOST = 7;
    const PICKPOINT = 8;
    const PONTEXPRESS = 9;
    const RUPOST = 10;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::B2CPL,
            self::BOXBERRY,
            self::CDEK,
            self::DOSTAVISTA,
            self::DPD,
            self::IML,
            self::MAXIPOST,
            self::PICKPOINT,
            self::PONTEXPRESS,
            self::RUPOST,
        ];
    }
}


